UserPreference (CMDB Model API)
Keywords: com.collation.platform.model.gui.preferences.UserPreference interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.gui.preferences
Interface UserPreference

All Superinterfaces:
  ModelObject, ProductModelObject, java.io.Serializable

    public interface UserPreference

extends ProductModelObject

Represents a user's preferences

Naming Rules:
  0="userName"
Persistable:
  true
Table Name:
  USERPREF
Display Name:
  userName

Method Summary
`Preference[]` | `getPreferences()`
`java.lang.String` | `getUserName()`
`boolean` | `hasPreferences()`
`boolean` | `hasUserName()`
`void` | `setPreferences(Preference[] preferences)`
`void` | `setUserName(java.lang.String userName)`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getUserName

    java.lang.String getUserName()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setUserName

    void setUserName(java.lang.String userName)

### hasUserName

    boolean hasUserName()

### getPreferences

    Preference[] getPreferences()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Table Name:
    USERPREF_PREFERENCES
  Containment Relationship:
    true

### setPreferences

    void setPreferences(Preference[] preferences)

### hasPreferences

    boolean hasPreferences()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD